package com.its.app;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.junit.jupiter.api.Test;

@Slf4j
//@SpringBootTest(classes = VmsCommServerApplication.class)
public class VmsCommServerApplicationTests {

    @Test
    void test1() {
        //                 0123 45 67 89 0123
        String testData = "20230102034000";
        log.info("{}", testData.length());
        String sFrom = testData.substring(4,6) + "월" + testData.substring(6,8) + "일 " + testData.substring(8,10) + "시";
        log.info("{}", sFrom);
    }

    @Test
    void requestObuGatherInfo() {
        String testData = " ";
        log.info("{}", StringUtils.isEmpty(StringUtils.trim(testData)));
    }
}
